## kali-win-kex 3.1.3

=== debian/changelog ===
kali-win-kex (3.1.3) kali-dev; urgency=medium

  [ hogezero ]
  * Fix bug that advanced parameter "--ip"

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Wed, 22 Jan 2025 09:28:33 +0100

kali-win-kex (3.1.2) kali-dev; urgency=medium

  [ Kenji Yamada ]
  * fix: can not return to $OLDPWD

  [ Steev Klimaszewski ]
  * d/upstream: Add upstream metadata
  * Fix tigervnc passwd file path

  [ Henrique Campos ]
  * Fix host-ip logic to work regardless of nameserver settings for host
  * Add --use-existing-gui-vars parameter for WSLg support

 -- Steev Klimaszewski <steev@kali.org>  Mon, 25 Nov 2024 11:48:15 -0600

kali-win-kex (3.1.1) kali-dev; urgency=medium

  [ Kali Janitor ]
  * Update standards version to 4.6.1, no changes needed.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * Add d/watch
  * ci: Disable 32bit arm builds.
  * Fix path in script
  * Remove un-needed watch file since this is a native package.
  * Update lintian-overrides.
  * Prepare for Release

  [ Ben Wilson ]
  * Update shebang
  * Description sync with documentation
  * Consistency: win-kex/Kex -> Win-KeX
  * Refresh help screen
  * Switch ordering of help screen
  * Add missing arguments to help screen
  * Typo: Restore -> Reset
  * Consistency: printf EOL
  * Remove double new lines
  * Consistency: function names _ -> -
  * Rename functions for consistency
  * Remove space EOL
  * Consistency: tabs to spaces
  * Consistency: Variable brackets
  * Consistency: Spacing
  * Print unknown argument when given
  * Fix names
  * Missed items
  * Remove dead code
  * Add --verbose
  * Consistency: Start of loops
  * Switch case to catch all
  * Fix term
  * Spacing
  * Define Win-KeX types more
  * Use variable for script name
  * Consistency: Bash if flags
  * Move status into start
  * Move to function xfdesktop
  * Workaround fix for --win
  * Refresh + Workaround for --sl: Check if installed on host
  * Add socket to clean up
  * Fix bug with session variable
  * Hide grep output
  * More verbose with NOWGL
  * Add quick checks to see if there was success
  * Fix variable typo being escaped
  * Move sessions into its own function
  * Incorrect value being returned
  * Cleaner log file name
  * Consistency: exit codes values
  * Consistency: binary files
  * Variable order
  * Add alt methods
  * Variable sort out
  * Fix formatting
  * Add hint
  * Version bump to match Debian package + extra work
  * Some options require root, not all
  * Say if unknown argument
  * Try and push more users to install it on the host
  * Point to our new docs page
  * Fix consistency with naming
  * Add helper-scripts

 -- Steev Klimaszewski <steev@kali.org>  Fri, 14 Apr 2023 16:28:47 -0500

kali-win-kex (3.1) kali-dev; urgency=medium

  * Set $XAUTHORITY on startup: GUI applications can now be started via sudo,
    e.g:
            sudo wireshark

 -- Carsten Boeving <re4son@kali.org>  Sat, 14 May 2022 12:03:36 +1000

kali-win-kex (3.0) kali-dev; urgency=medium

  * Add WSLg compatibility
  * Replace built-in "pulseaudio-module-xrdp" with dedicated package
  * Add "status" function to "xrdpservice"
  * Extend Win only features to other modes
  * Update TigerVNC Viewer and VcXsrv

 -- Carsten Boeving <re4son@kali.org>  Tue, 18 Jan 2022 16:31:13 +1100

kali-win-kex (2.11) kali-dev; urgency=medium

  * Update pulseaudio-module-xrdp to 14.2
  * Fix "access denied to thinclient_drives" error in --esm mode

 -- Carsten Boeving <re4son@kali.org>  Sat, 11 Sep 2021 21:22:15 +1000

kali-win-kex (2.10) kali-dev; urgency=medium

  * Add multiscreen support for windows terminal, i.e.:
    kex --wtstart -m

 -- Carsten Boeving <re4son@kali.org>  Sun, 07 Mar 2021 15:24:59 +1100

kali-win-kex (2.9) kali-dev; urgency=medium

  * Fix bug that prevents KeX server from starting

 -- Carsten Boeving <re4son@kali.org>  Tue, 02 Mar 2021 16:22:48 +1100

kali-win-kex (2.8) kali-dev; urgency=medium

  * Add dbus-x11
  * Use a more robust WSL2 test

 -- Carsten Boeving <re4son@kali.org>  Sun, 28 Feb 2021 17:25:52 +1100

kali-win-kex (2.7) kali-dev; urgency=medium

  * Add "--wtstart" option for ESM mode

 -- Carsten Boeving <re4son@kali.org>  Sat, 05 Dec 2020 17:26:07 +1100

kali-win-kex (2.6) kali-dev; urgency=medium

  * Bump to version 2.6

 -- Carsten Boeving <re4son@kali.org>  Tue, 17 Nov 2020 01:49:13 +1100

kali-win-kex (2.5) kali-dev; urgency=medium

  * Release version 2.5

 -- Carsten Boeving <re4son@kali.org>  Mon, 16 Nov 2020 23:07:22 +1100

kali-win-kex (2.4) kali-experimental; urgency=medium

  * Don't start pulseaudio server on arm

 -- Carsten Boeving <re4son@kali.org>  Sun, 15 Nov 2020 19:33:14 +1100

kali-win-kex (2.3) kali-experimental; urgency=medium

  * Add "Enhanced Session Mode" for WoA and HiDPI displays
  * Add --ip parameter to work around bug in WoA causing
    packet loss when using "localhost" instead of IP
  * Add arm64 support

 -- Carsten Boeving <re4son@kali.org>  Sat, 14 Nov 2020 23:44:50 +1100

kali-win-kex (2.2) kali-dev; urgency=medium

  * Release version 2.2

 -- Carsten Boeving <re4son@kali.org>  Sun, 04 Oct 2020 12:41:10 +1100

kali-win-kex (2.1) kali-experimental; urgency=medium

  * Fix SL logfile access error for non-priv user session after root session
  * Add "multiscreen" mode to start win-kex client in a window on the main screen for better multi-screen support

 -- Carsten Boeving <re4son@kali.org>  Tue, 29 Sep 2020 09:54:09 +1000

kali-win-kex (2.0) kali-dev; urgency=medium

  * Add Sound support
  * Add Seemless mode
  * Add root support
  * Add manpage

 -- Carsten Boeving <re4son@kali.org>  Mon, 07 Sep 2020 16:42:03 +1000

kali-win-kex (1.0) kali-dev; urgency=medium

  * Initial Release

 -- Carsten Boeving <re4son@kali.org>  Thu, 23 Jul 2020 15:30:22 +0200
