=== debian/control ===
Source: kali-win-kex
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Re4son <re4son@kali.org>, Raphaël Hertzog <raphael@offensive-security.com>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.0
Homepage: https://gitlab.com/kalilinux/packages/kali-win-kex
Vcs-Git: https://gitlab.com/kalilinux/packages/kali-win-kex.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/kali-win-kex

Package: kali-win-kex
Architecture: amd64 arm64
Depends: ${misc:Depends}, tigervnc-standalone-server, xrdp, dbus-x11
Recommends: kali-desktop-xfce, pulseaudio, pulseaudio-module-xrdp
Description: Kali Win-Kex Package
 This package implements a VNC server and client
 configuration to launch a Kali GUI desktop in WSL2.
